%global	githash	71e97c172893f86f575c1973898c48a3d85b09d5
%global	shorthash	%(c=%{githash}; echo ${c:0:7})

%global	mainver	0.12.2.1
#%%global	minorver	rc.%{shorthash}
#%%global	usegitsource	1

%global	fedorarel	1

Name:		wkhtmltopdf
Version:	%{mainver}
Release:	%{?minorver:0.}%{fedorarel}%{?minorver:.%minorver}%{?dist}
Summary:	Simple shell utility to convert html to pdf

License:	GPLv3+
URL:		http://wkhtmltopdf.org/
#Source0:	http://wkhtmltopdf.googlecode.com/files/%{name}-%{mainver}%{?minorver:_%minorver}.tar.bz2
# https://github.com/wkhtmltopdf/wkhtmltopdf/archive/%%{version}.tar.gz
# Renamed above
Source0:	%{name}-%{version}.tar.gz
#Source0:	https://github.com/%{name}/%{name}/archive/%{commit}/%{name}-%{githash}.tar.gz

BuildRequires:	qtwebkit-devel%{?isa}

%description
Simple shell utility to convert html to pdf using the webkit
rendering engine, and qt. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?isa} = %{version}-%{release}
Requires:	qtwebkit-devel%{?isa}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%if 0%{?usegitsource} >= 1
%setup -q -c -T -a 0
cd %{name}-*/
%else
%setup -q -n %{name}-%{mainver}%{?minorver:_%minorver}
%endif
# libdir handling.. better handling needed
sed -i.lib -e \
	'/INSTALLBASE/s|lib|%{_lib}|' \
	src/lib/lib.pro

# Remove BOM
sed -i.bom -e 's|\xEF\xBB\xBF||' AUTHORS
touch -r AUTHORS{.bom,}
rm -f AUTHORS.bom

%build
%if 0%{?usegitsource} >= 1
cd %{name}-*/
%endif
%{_qt4_qmake}
make %{_smp_mflags}

%install
%if 0%{?usegitsource} >= 1
cd %{name}-*/
cp -a [A-Z]* examples/ ..
%endif

make install \
	INSTALL_ROOT=%{buildroot}%{_prefix}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc	AUTHORS
%license	COPYING
%doc	CHANGELOG.md
%doc	CHANGELOG-OLD
%doc	README.md

%{_libdir}/libwkhtmltox.so.0*
%{_bindir}/wkhtmltoimage
%{_bindir}/wkhtmltopdf

%{_mandir}/man1/wkhtmltoimage.1*
%{_mandir}/man1/wkhtmltopdf.1*

%files devel
%doc    examples/
%{_libdir}/libwkhtmltox.so
%{_includedir}/wkhtmltox/


%changelog
* Wed Jan 21 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.2.1-1
- 0.12.2.1

* Sat Jan 10 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.2-1
- 0.12.2

* Wed Jan  7 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.2-0.2.rc.71e97c1
- 0.12.2 rc-71e97c1

* Wed Nov 26 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.2-0.1.dev5dea253
- Update to the latest git

* Wed Aug 27 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.1-1
- 0.12.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun  3 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.0-1
- 0.12.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-0.2.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.11.0-0.2.rc1
- Include examples/ directory to devel documents

* Mon Feb 11 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.11.0-0.1.rc1
- Initial packaging
